Nautilus keeps opening when ubuntu one plugin is installed

Bug #674876 reported by Thomas Goossens on 2010-11-13
100
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
High
Unassigned
ubuntuone-client (Ubuntu)
Medium
Unassigned
Precise
Medium
Unassigned

Bug Description

Hi

I use ubuntu 10.10 with all the latest updates.

Yesterday a strange problem arised: when i log on, after a while nautilus starts opening and keeps opening in an endless "loop"

Here you can see my problem:
http://www.youtube.com/watch?v=wlkq_4WZl8g

Hope you can find what the problem is, if you need any additional information please ask me

Thanks in advance and good luck.

Related branches

Hi

I could stop the loop by entering these command (in this order)

---
killall -v nautilus
pkill nautilus
pkill nautilus
----

i know this seems strange but it stopped and killed all the opened natuilus screens after i did pkill twice

now when i want to start 'nautilus' in terminal i get the following error:

----
thomas@thomas-ubuntu:~$ nautilus
Initializing nautilus-gdu extension
Segmentation fault
---

The only way to run nautilus is 'sudo nautilus' and then it works

I cannot use acces my files any more via nautilus (the 'normal way') until i reboot

Hope this helps!

Fabio Marconi (fabiomarconi) wrote :

Have you tried to reinstall nautilus:
sudo apt-get clean
then reinstall nautilus using synaptic
Fabio

Changed in ubuntu:
status: New → Incomplete

I just tried it
and it didn't work, the problem is still there

affects: ubuntu → nautilus (Ubuntu)
Changed in nautilus (Ubuntu):
status: Incomplete → New

After some research I uninstalled ubuntu one and this fixed the problem.

I have reinstalled ubuntu one, and for now no problems have arised.

If you want the exact error i found in the log file:

 [ 553.888980] nautilus[3939]: segfault at 0 ip 00d186f7 sp bff4e894 error 4 in libglib-2.0.so.0.2600.0[cb7000+cd000]

Hope this helps!

Sebastien Bacher (seb128) wrote :

if uninstalling ubuntuone fixes the issue the bug is probably there

affects: nautilus (Ubuntu) → ubuntuone-client (Ubuntu)
Natalia Bidart (nataliabidart) wrote :

I just confirmed this bug. To reproduce, I can do the following:

* be sure ubuntu one is running
* plug a few USD storage devices
* tons of nautilus processes will be started and the window list will go crazy, though no window will actually pop out
* I never get to access the just mounted usd devices

summary: - Nautilus keeps opening
+ Nautilus keeps opening when ubuntu one plugin is installed
Changed in ubuntuone-client (Ubuntu):
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
Changed in ubuntuone-client:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
tags: added: desktop+ u1-natty
tags: added: u1-nautilus-plugin
Natalia Bidart (nataliabidart) wrote :
Download full text (3.6 KiB)

nessita@dali:~$ gdb nautilus
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/nautilus...(no debugging symbols found)...done.
(gdb) r
Starting program: /usr/bin/nautilus
[Thread debugging using libthread_db enabled]
[New Thread 0x7fffeb3ad710 (LWP 20712)]
[New Thread 0x7fffea35a710 (LWP 20714)]
Initializing nautilus-gdu extension

(nautilus:20681): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.26.0/gobject/gsignal.c:2275: signal `file_unpublished' is invalid for instance `0x8d4e00'

Program received signal SIGSEGV, Segmentation fault.
0x00007ffff490eda2 in g_slice_free_chain_with_offset () from /lib/libglib-2.0.so.0
(gdb) thread apply all bt

Thread 3 (Thread 0x7fffea35a710 (LWP 20714)):
#0 pthread_cond_timedwait@@GLIBC_2.3.2 ()
    at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:212
#1 0x00007ffff4dcf3c2 in ?? () from /usr/lib/libgthread-2.0.so.0
#2 0x00007ffff48c80f1 in ?? () from /lib/libglib-2.0.so.0
#3 0x00007ffff491b771 in ?? () from /lib/libglib-2.0.so.0
#4 0x00007ffff49197e4 in ?? () from /lib/libglib-2.0.so.0
#5 0x00007ffff7183971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6 0x00007ffff35bd91d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fffeb3ad710 (LWP 20712)):
#0 0x00007ffff35b11d3 in __poll (fds=<value optimized out>, nfds=<value optimized out>,
    timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1 0x00007ffff48f4009 in ?? () from /lib/libglib-2.0.so.0
#2 0x00007ffff48f47b5 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3 0x00007ffff5be80f4 in ?? () from /usr/lib/libgio-2.0.so.0
#4 0x00007ffff49197e4 in ?? () from /lib/libglib-2.0.so.0
#5 0x00007ffff7183971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#6 0x00007ffff35bd91d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffff7fb7940 (LWP 20681)):
#0 0x00007ffff490eda2 in g_slice_free_chain_with_offset () from /lib/libglib-2.0.so.0
#1 0x00007ffff51e4a6e in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#2 0x00007ffff51fa4d7 in ?? () from /usr/lib/libgobject-2.0.so.0
#3 0x00007ffff51fb996 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#4 0x00007ffff51fbf53 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#5 0x00007fffdee8c216 in ready_signal_idle_cb (user_data=0x8d4e00) at syncdaemon-daemon.c:319
#6 0x00007ffff48f0342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#7 0x00007ffff48f42a8 in ?? () from /lib/libglib-2.0.so.0
#8 0x00007ffff48f47b5 in g_main_loop_run () from /lib/libglib-2.0.so.0
#9 0x00007ffff64503e7 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#10 0x00000000004...

Read more...

dobey (dobey) wrote :

What version of ubuntuone-client-gnome do you have installed? I don't see it listed anywhere.

Changed in ubuntuone-client:
assignee: Ubuntu One Desktop+ team (ubuntuone-desktop+) → Rodney Dawes (dobey)

When I install ubuntuone-client-gnome 1.4.4.1-0ubuntu1 (maverick) the problem appears

Natalia Bidart (nataliabidart) wrote :

nessita@dali:~$ aptitude show ubuntuone-client-gnome
Package: ubuntuone-client-gnome
State: installed
Automatically installed: no
Version: 1.4.99+r745~maverick1

dobey (dobey) wrote :

OK, I am unable to reproduce the problem with the version that Naty seemed to do so with (and I'm running 11.04 already, so not sure if something different in nautilus or some other lib might have 'fixed' it inadvertently); and Naty tells me she can't reproduce with the stock version from 10.10 main.

Thomas, if you are still able to reproduce the problem, would you mind trying to get a backtrace to use? You will need to perform these steps to do so, in a terminal (Programs->Accessories->Terminal):

gconftool-2 --type bool --set /apps/nautilus/preferences/show_desktop False
sudo apt-get install ubuntuone-client-gnome
gdb nautilus

Then, all of the following will be done in gdb (as show with the (gdb) prompt prefix:

(gdb) run

reproduce the crash in nautilus, and come back to the terminal where you ran gdb nautilus from:

(gdb) thread apply all bt

Copy and paste the entire output from that point, into a new comment on this bug. You can then use the "quit" command inside gdb, and run the following in the terminal, to restore your previous setup before the debugging session:

sudo apt-get remove --purge ubuntuone-client-gnome
gconftool-2 --type bool --set /apps/nautilus/preferences/show_desktop True

Thanks.

Natalia Bidart (nataliabidart) wrote :

Attaching a new trace with more debugging symbols.

Natalia Bidart (nataliabidart) wrote :
dobey (dobey) on 2010-12-02
Changed in ubuntuone-client:
status: Confirmed → Incomplete
Changed in ubuntuone-client (Ubuntu):
status: Confirmed → Incomplete
James P. Carter (jpcarter) wrote :

(gdb) thread apply all bt

Thread 3 (Thread 0xb75d7b70 (LWP 2493)):
#0 0x0012e416 in __kernel_vsyscall ()
#1 0x00179884 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2 0x0088be7e in ?? () from /usr/lib/libgthread-2.0.so.0
#3 0x008d42cc in ?? () from /lib/libglib-2.0.so.0
#4 0x0092a41b in ?? () from /lib/libglib-2.0.so.0
#5 0x0092848f in ?? () from /lib/libglib-2.0.so.0
#6 0x00174cc9 in start_thread () from /lib/libpthread.so.0
#7 0x00e086be in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb7dd8b70 (LWP 2492)):
#0 0x0012e416 in __kernel_vsyscall ()
#1 0x00df9df6 in poll () from /lib/libc.so.6
#2 0x0090ea1b in g_poll () from /lib/libglib-2.0.so.0
#3 0x0090143c in ?? () from /lib/libglib-2.0.so.0
#4 0x00901ba7 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5 0x006ef6b4 in ?? () from /usr/lib/libgio-2.0.so.0
#6 0x0092848f in ?? () from /lib/libglib-2.0.so.0
#7 0x00174cc9 in start_thread () from /lib/libpthread.so.0
#8 0x00e086be in clone () from /lib/libc.so.6

---Type <return> to continue, or q <return> to quit---
Thread 1 (Thread 0xb7fda860 (LWP 2483)):
#0 0x009216f7 in g_str_hash () from /lib/libglib-2.0.so.0
#1 0x008ee378 in g_hash_table_lookup () from /lib/libglib-2.0.so.0
#2 0x019389ba in ubuntuone_nautilus_udf_created (daemon=0x82644c0, success=1,
    folder_info=0x83f3a80, user_data=0x820c9e8) at ubuntuone-nautilus.c:1141
#3 0x01938e66 in ubuntuone_nautilus_daemon_ready (daemon=0x82644c0,
    user_data=0x820c9e8) at ubuntuone-nautilus.c:1041
#4 0x0085f93c in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#5 0x00850412 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#6 0x00866595 in ?? () from /usr/lib/libgobject-2.0.so.0
#7 0x008679bc in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#8 0x00867e62 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#9 0x0198fc40 in ready_signal_idle_cb (user_data=0x82644c0)
    at syncdaemon-daemon.c:319
#10 0x008fb841 in ?? () from /lib/libglib-2.0.so.0
#11 0x008fd855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#12 0x00901668 in ?? () from /lib/libglib-2.0.so.0
#13 0x00901ba7 in g_main_loop_run () from /lib/libglib-2.0.so.0
#14 0x002f71d9 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#15 0x0807f367 in ?? ()
#16 0x00d4ece7 in __libc_start_main () from /lib/libc.so.6
#17 0x0806a5a1 in ?? ()
(gdb)

James P. Carter (jpcarter) wrote :

gdb nautilus
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/nautilus...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/nautilus
[Thread debugging using libthread_db enabled]
[New Thread 0xb7dd8b70 (LWP 2492)]
[New Thread 0xb75d7b70 (LWP 2493)]
Initializing nautilus-gdu extension

(nautilus:2483): GLib-GObject-WARNING **: invalid cast from `GParamLong' to `SyncdaemonFolderInfo'

** (nautilus:2483): CRITICAL **: syncdaemon_folder_info_get_path: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:2483): CRITICAL **: syncdaemon_folder_info_get_volume_id: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:2483): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

Program received signal SIGSEGV, Segmentation fault.
0x009216f7 in g_str_hash () from /lib/libglib-2.0.so.0

James P. Carter (jpcarter) wrote :
Download full text (3.7 KiB)

My apologies for the multiple posts... I installed the debugging symbols for this copy/paste comment.

gdb nautilus
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/nautilus...Reading symbols from /usr/lib/debug/usr/bin/nautilus...done.
done.
(gdb) run
Starting program: /usr/bin/nautilus
[Thread debugging using libthread_db enabled]
[New Thread 0xb7dd8b70 (LWP 2291)]
[New Thread 0xb75d7b70 (LWP 2292)]
Initializing nautilus-gdu extension

(nautilus:2282): GLib-GObject-WARNING **: invalid cast from `gchar' to `SyncdaemonFolderInfo'

** (nautilus:2282): CRITICAL **: syncdaemon_folder_info_get_path: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:2282): CRITICAL **: syncdaemon_folder_info_get_volume_id: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:2282): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

Program received signal SIGSEGV, Segmentation fault.
0x009216f7 in g_str_hash () from /lib/libglib-2.0.so.0
(gdb) thread apply all bt

Thread 3 (Thread 0xb75d7b70 (LWP 2292)):
#0 0x0012e416 in __kernel_vsyscall ()
#1 0x00179884 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2 0x0088be7e in ?? () from /usr/lib/libgthread-2.0.so.0
#3 0x008d42cc in ?? () from /lib/libglib-2.0.so.0
#4 0x0092a41b in ?? () from /lib/libglib-2.0.so.0
#5 0x0092848f in ?? () from /lib/libglib-2.0.so.0
#6 0x00174cc9 in start_thread () from /lib/libpthread.so.0
#7 0x00e086be in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb7dd8b70 (LWP 2291)):
#0 0x0012e416 in __kernel_vsyscall ()
#1 0x00df9df6 in poll () from /lib/libc.so.6
#2 0x0090ea1b in g_poll () from /lib/libglib-2.0.so.0
#3 0x0090143c in ?? () from /lib/libglib-2.0.so.0
#4 0x00901ba7 in g_main_loop_run () from /lib/libglib-2.0.so.0
#5 0x006ef6b4 in ?? () from /usr/lib/libgio-2.0.so.0
#6 0x0092848f in ?? () from /lib/libglib-2.0.so.0
#7 0x00174cc9 in start_thread () from /lib/libpthread.so.0
#8 0x00e086be in clone () from /lib/libc.so.6

---Type <return> to continue, or q <return> to quit---
Thread 1 (Thread 0xb7fda860 (LWP 2282)):
#0 0x009216f7 in g_str_hash () from /lib/libglib-2.0.so.0
#1 0x008ee378 in g_hash_table_lookup () from /lib/libglib-2.0.so.0
#2 0x019389ba in ubuntuone_nautilus_udf_created (daemon=0x82644c0, success=1,
    folder_info=0x831c7b0, user_data=0x820c9e8) at ubuntuone-nautilus.c:1141
#3 0x01938e66 in ubuntuone_nautilus_daemon_ready (daemon=0x82644c0,
    user_data=0x820c9e8) at ubuntuone-nautilus.c:1041
#4 0x0085f93c in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#5 0x00850412 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#6 0x00866595 in ?? () from /usr/lib/libgobject-2.0.so....

Read more...

dobey (dobey) wrote :

Hi James, could you install libglib2.0-0-dbg and get another backtrace please? Thanks.

James P. Carter (jpcarter) wrote :
Download full text (6.1 KiB)

As requested:

gdb nautilus
GNU gdb (GDB) 7.2-ubuntu
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/nautilus...Reading symbols from /usr/lib/debug/usr/bin/nautilus...done.
done.
(gdb) run
Starting program: /usr/bin/nautilus
[Thread debugging using libthread_db enabled]
[New Thread 0xb7dd8b70 (LWP 4522)]
[New Thread 0xb75d7b70 (LWP 4525)]
Initializing nautilus-gdu extension

(nautilus:4510): GLib-GObject-WARNING **: invalid cast from `(null)' to `SyncdaemonFolderInfo'

** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_path: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_volume_id: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

Program received signal SIGSEGV, Segmentation fault.
g_str_hash (v=0x0) at /build/buildd/glib2.0-2.26.0/glib/gstring.c:134
134 /build/buildd/glib2.0-2.26.0/glib/gstring.c: No such file or directory.
 in /build/buildd/glib2.0-2.26.0/glib/gstring.c
(gdb) thread apply all bt

Thread 3 (Thread 0xb75d7b70 (LWP 4525)):
#0 0x0012e416 in __kernel_vsyscall ()
#1 0x00179884 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/libpthread.so.0
#2 0x0088be7e in g_cond_timed_wait_posix_impl (cond=0xfffffdfc,
    entered_mutex=0x1d, abs_time=0xb75d7188)
    at /build/buildd/glib2.0-2.26.0/gthread/gthread-posix.c:242
#3 0x008d42cc in g_async_queue_pop_intern_unlocked (queue=0x82647a0,
    try=<value optimized out>, end_time=0xb75d7188)
    at /build/buildd/glib2.0-2.26.0/glib/gasyncqueue.c:423
#4 0x0092a41b in g_thread_pool_wait_for_new_task (data=0x8264768)
    at /build/buildd/glib2.0-2.26.0/glib/gthreadpool.c:274
#5 g_thread_pool_thread_proxy (data=0x8264768)
    at /build/buildd/glib2.0-2.26.0/glib/gthreadpool.c:308
#6 0x0092848f in g_thread_create_proxy (data=0x8263a68)
    at /build/buildd/glib2.0-2.26.0/glib/gthread.c:1897
#7 0x00174cc9 in start_thread () from /lib/libpthread.so.0
#8 0x00e086be in clone () from /lib/libc.so.6

Thread 2 (Thread 0xb7dd8b70 (LWP 4522)):
#0 0x0012e416 in __kernel_vsyscall ()
#1 0x00df9df6 in poll () from /lib/libc.so.6
---Type <return> to continue, or q <return> to quit---
#2 0x0090ea1b in g_poll (fds=0x82827a0, nfds=3, timeout=-1)
    at /build/buildd/glib2.0-2.26.0/glib/gpoll.c:132
#3 0x0090143c in g_main_context_poll (context=0x827f340,
    block=<value optimized out>, dispatch=1, self=0x8272d70)
    at /build/buildd/glib2.0-2.26.0/glib/gmain.c:3093
#4 g_main_context_iterate (context=0x827f340, block=<value optimized out>,
    dispatch=1, self=0x8272d70)
    at /build/buildd/glib2.0-2.26.0/glib/gmain.c:2775
#5 0x00901ba7 in g_main_loop_run (loop=0x827f3c0)
   ...

Read more...

Download full text (7.3 KiB)

Let me know if you would like for me to debug further.
--
James P. Carter, GCIH

On Thu, Dec 2, 2010 at 9:32 PM, James P. Carter
<email address hidden> wrote:
> As requested:
>
> gdb nautilus
> GNU gdb (GDB) 7.2-ubuntu
> Copyright (C) 2010 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
> and "show warranty" for details.
> This GDB was configured as "i686-linux-gnu".
> For bug reporting instructions, please see:
> <http://www.gnu.org/software/gdb/bugs/>...
> Reading symbols from /usr/bin/nautilus...Reading symbols from /usr/lib/debug/usr/bin/nautilus...done.
> done.
> (gdb) run
> Starting program: /usr/bin/nautilus
> [Thread debugging using libthread_db enabled]
> [New Thread 0xb7dd8b70 (LWP 4522)]
> [New Thread 0xb75d7b70 (LWP 4525)]
> Initializing nautilus-gdu extension
>
> (nautilus:4510): GLib-GObject-WARNING **: invalid cast from `(null)' to
> `SyncdaemonFolderInfo'
>
> ** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_path:
> assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed
>
> ** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_volume_id:
> assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed
>
> ** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_subscribed:
> assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed
>
> Program received signal SIGSEGV, Segmentation fault.
> g_str_hash (v=0x0) at /build/buildd/glib2.0-2.26.0/glib/gstring.c:134
> 134     /build/buildd/glib2.0-2.26.0/glib/gstring.c: No such file or directory.
>        in /build/buildd/glib2.0-2.26.0/glib/gstring.c
> (gdb) thread apply all bt
>
> Thread 3 (Thread 0xb75d7b70 (LWP 4525)):
> #0  0x0012e416 in __kernel_vsyscall ()
> #1  0x00179884 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
>   from /lib/libpthread.so.0
> #2  0x0088be7e in g_cond_timed_wait_posix_impl (cond=0xfffffdfc,
>    entered_mutex=0x1d, abs_time=0xb75d7188)
>    at /build/buildd/glib2.0-2.26.0/gthread/gthread-posix.c:242
> #3  0x008d42cc in g_async_queue_pop_intern_unlocked (queue=0x82647a0,
>    try=<value optimized out>, end_time=0xb75d7188)
>    at /build/buildd/glib2.0-2.26.0/glib/gasyncqueue.c:423
> #4  0x0092a41b in g_thread_pool_wait_for_new_task (data=0x8264768)
>    at /build/buildd/glib2.0-2.26.0/glib/gthreadpool.c:274
> #5  g_thread_pool_thread_proxy (data=0x8264768)
>    at /build/buildd/glib2.0-2.26.0/glib/gthreadpool.c:308
> #6  0x0092848f in g_thread_create_proxy (data=0x8263a68)
>    at /build/buildd/glib2.0-2.26.0/glib/gthread.c:1897
> #7  0x00174cc9 in start_thread () from /lib/libpthread.so.0
> #8  0x00e086be in clone () from /lib/libc.so.6
>
> Thread 2 (Thread 0xb7dd8b70 (LWP 4522)):
> #0  0x0012e416 in __kernel_vsyscall ()
> #1  0x00df9df6 in poll () from /lib/libc.so.6
> ---Type <return> to continue, or q <return> to quit---
> #2  0x0090ea1b in g_poll (fds=0x82827a0, nfds=3, timeout=-1)
>    at /build/buildd/glib2.0-2.26.0/glib/gpoll.c:132
> #3  0x0090143c in g_main_context_poll (context=0x827f340,
>    block=<value optimized out>, dispatch=1, s...

Read more...

James P. Carter (jpcarter) wrote :
Download full text (7.7 KiB)

Actually, I will be reinstalling this particular system to perform a
very specific function. I will no longer be able to troubleshoot the
issue. My VM does not appear to exhibit this particular behavior...

--
James P. Carter, GCIH

On Fri, Dec 3, 2010 at 8:37 AM, James Carter <email address hidden> wrote:
> Let me know if you would like for me to debug further.
> --
> James P. Carter, GCIH
>
>
>
> On Thu, Dec 2, 2010 at 9:32 PM, James P. Carter
> <email address hidden> wrote:
>> As requested:
>>
>> gdb nautilus
>> GNU gdb (GDB) 7.2-ubuntu
>> Copyright (C) 2010 Free Software Foundation, Inc.
>> License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
>> and "show warranty" for details.
>> This GDB was configured as "i686-linux-gnu".
>> For bug reporting instructions, please see:
>> <http://www.gnu.org/software/gdb/bugs/>...
>> Reading symbols from /usr/bin/nautilus...Reading symbols from /usr/lib/debug/usr/bin/nautilus...done.
>> done.
>> (gdb) run
>> Starting program: /usr/bin/nautilus
>> [Thread debugging using libthread_db enabled]
>> [New Thread 0xb7dd8b70 (LWP 4522)]
>> [New Thread 0xb75d7b70 (LWP 4525)]
>> Initializing nautilus-gdu extension
>>
>> (nautilus:4510): GLib-GObject-WARNING **: invalid cast from `(null)' to
>> `SyncdaemonFolderInfo'
>>
>> ** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_path:
>> assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed
>>
>> ** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_volume_id:
>> assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed
>>
>> ** (nautilus:4510): CRITICAL **: syncdaemon_folder_info_get_subscribed:
>> assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed
>>
>> Program received signal SIGSEGV, Segmentation fault.
>> g_str_hash (v=0x0) at /build/buildd/glib2.0-2.26.0/glib/gstring.c:134
>> 134     /build/buildd/glib2.0-2.26.0/glib/gstring.c: No such file or directory.
>>        in /build/buildd/glib2.0-2.26.0/glib/gstring.c
>> (gdb) thread apply all bt
>>
>> Thread 3 (Thread 0xb75d7b70 (LWP 4525)):
>> #0  0x0012e416 in __kernel_vsyscall ()
>> #1  0x00179884 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
>>   from /lib/libpthread.so.0
>> #2  0x0088be7e in g_cond_timed_wait_posix_impl (cond=0xfffffdfc,
>>    entered_mutex=0x1d, abs_time=0xb75d7188)
>>    at /build/buildd/glib2.0-2.26.0/gthread/gthread-posix.c:242
>> #3  0x008d42cc in g_async_queue_pop_intern_unlocked (queue=0x82647a0,
>>    try=<value optimized out>, end_time=0xb75d7188)
>>    at /build/buildd/glib2.0-2.26.0/glib/gasyncqueue.c:423
>> #4  0x0092a41b in g_thread_pool_wait_for_new_task (data=0x8264768)
>>    at /build/buildd/glib2.0-2.26.0/glib/gthreadpool.c:274
>> #5  g_thread_pool_thread_proxy (data=0x8264768)
>>    at /build/buildd/glib2.0-2.26.0/glib/gthreadpool.c:308
>> #6  0x0092848f in g_thread_create_proxy (data=0x8263a68)
>>    at /build/buildd/glib2.0-2.26.0/glib/gthread.c:1897
>> #7  0x00174cc9 in start_thread () from /lib/libpthread.so.0
>> #8  0x00e086be in clone () from /lib/libc.so.6
>>
>> Thread 2 (Thread 0xb7dd8b...

Read more...

dobey (dobey) on 2010-12-08
Changed in ubuntuone-client:
status: Incomplete → In Progress
Changed in ubuntuone-client (Ubuntu):
status: Incomplete → Triaged
James P. Carter (jpcarter) wrote :

Rodney this system is still viable. I decided to leave it be and just
add disk space. I now access X remotely and not locally from this
system. Not sure if this will make it more difficult to troubleshoot.
;-)

--
James P. Carter, GCIH

On Wed, Dec 8, 2010 at 8:13 AM, Rodney Dawes <email address hidden> wrote:
> ** Changed in: ubuntuone-client
>       Status: Incomplete => In Progress
>
> ** Changed in: ubuntuone-client (Ubuntu)
>       Status: Incomplete => Triaged
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (684204).
> https://bugs.launchpad.net/bugs/674876
>
> Title:
>  Nautilus keeps opening when ubuntu one plugin is installed
>
> Status in Ubuntu One Client:
>  In Progress
> Status in “ubuntuone-client” package in Ubuntu:
>  Triaged
>
> Bug description:
>  Hi
>
> I use ubuntu 10.10 with all the latest updates.
>
> Yesterday a strange problem arised: when i log on, after a while nautilus starts opening and keeps opening in an endless "loop"
>
> Here you can see my problem:
> http://www.youtube.com/watch?v=wlkq_4WZl8g
>
>
> Hope you can find what the problem is, if you need any additional information please ask me
>
> Thanks in advance and good luck.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntuone-client/+bug/674876/+subscribe
>

Download full text (5.0 KiB)

For me, the nautilus crashes only happen when ubuntu one file sync is enabled. I can enable notes, contacts, and broadcast messages with no problem

(gdb) run
Starting program: /usr/bin/nautilus
[Thread debugging using libthread_db enabled]
[New Thread 0xb7e61b70 (LWP 9125)]
[New Thread 0xb7660b70 (LWP 9126)]
Initializing nautilus-image-converter extension
Initializing nautilus-gdu extension
[Thread 0xb7e61b70 (LWP 9125) exited]
warning: the debug information found in "/usr/lib/debug//usr/lib/libcamel-1.2.so.14.0.1" does not match "/usr/lib/libcamel-1.2.so.14" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib/libcamel-1.2.so.14.0.1" does not match "/usr/lib/libcamel-1.2.so.14" (CRC mismatch).

(nautilus:9106): GLib-GObject-WARNING **: invalid cast from `(null)' to `SyncdaemonFolderInfo'

** (nautilus:9106): CRITICAL **: syncdaemon_folder_info_get_path: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:9106): CRITICAL **: syncdaemon_folder_info_get_volume_id: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:9106): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

Program received signal SIGSEGV, Segmentation fault.
IA__g_str_hash (v=0x0) at /build/buildd/glib2.0-2.24.1/glib/gstring.c:134
134 /build/buildd/glib2.0-2.24.1/glib/gstring.c: No such file or directory.
 in /build/buildd/glib2.0-2.24.1/glib/gstring.c
(gdb) thread apply all but

Thread 3 (Thread 0xb7660b70 (LWP 9126)):
Undefined command: "but". Try "help".
(gdb) thread apply all bt

Thread 3 (Thread 0xb7660b70 (LWP 9126)):
#0 0x0012d416 in __kernel_vsyscall ()
#1 0x001cd342 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2 0x008260ce in g_cond_timed_wait_posix_impl (cond=0xfffffdfc, entered_mutex=0xb, abs_time=0xb7660288)
    at /build/buildd/glib2.0-2.24.1/gthread/gthread-posix.c:242
#3 0x00871bbc in g_async_queue_pop_intern_unlocked (queue=0x8266940, try=<value optimised out>, end_time=0xb7660288)
    at /build/buildd/glib2.0-2.24.1/glib/gasyncqueue.c:365
#4 0x008c3d53 in g_thread_pool_wait_for_new_task (data=0x8266908) at /build/buildd/glib2.0-2.24.1/glib/gthreadpool.c:270
#5 g_thread_pool_thread_proxy (data=0x8266908) at /build/buildd/glib2.0-2.24.1/glib/gthreadpool.c:304
#6 0x008c1def in g_thread_create_proxy (data=0x826cae0) at /build/buildd/glib2.0-2.24.1/glib/gthread.c:1893
#7 0x001c896e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8 0x00d9ea4e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb7fce760 (LWP 9106)):
#0 IA__g_str_hash (v=0x0) at /build/buildd/glib2.0-2.24.1/glib/gstring.c:134
#1 0x008884f8 in g_hash_table_lookup_node (hash_table=0x826d380, key=0x0) at /build/buildd/glib2.0-2.24.1/glib/ghash.c:309
#2 IA__g_hash_table_lookup (hash_table=0x826d380, key=0x0) at /build/buildd/glib2.0-2.24.1/glib/ghash.c:898
#3 0x017f436a in ubuntuone_nautilus_udf_created (daemon=0x826de80, success=1, folder_info=0x82e2650, user_data=0x820be30) at ubuntuone-nautilus.c:1141
#4 0x017f4816 in ubuntuone_nautilus_daemon_ready (daemon=0x826de80, user_data=0x820be30) at ubuntuone-nautilus.c...

Read more...

Notes
* I am available to do more debug if given some direction.
* I have 2 machines both with ubuntu 10.04. One exhibits the problem, one (fresher install) does not.
* I'm using deb http://ppa.launchpad.net/ubuntuone/stable/ubuntu lucid main

Africanus (africanus) wrote :

Same problem here (actually in an openbox desktop)

If I first run ubuntuone-launch the nautilus, I get the following:

jeff@jeff:~$ nautilus --no-desktop
Initializing nautilus-gdu extension
Initializing nautilus-open-terminal extension
** Message: Initializing gksu extension...
sys:1: Warning: invalid uninstantiatable type `(null)' in cast to `SyncdaemonFolderInfo'

** (nautilus:2624): CRITICAL **: syncdaemon_folder_info_get_path: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:2624): CRITICAL **: syncdaemon_folder_info_get_volume_id: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed

** (nautilus:2624): CRITICAL **: syncdaemon_folder_info_get_subscribed: assertion `SYNCDAEMON_IS_FOLDER_INFO (finfo)' failed
Segmentation fault

Ubuntu 10.10 updated today 2010-12-30
ubuntuone 1.4.5-0ubuntu1
nautilus 1:2.32.0-0ubuntu1.1

Africanus (africanus) wrote :

Same problem in Italy:
http://forum.ubuntu-it.org/index.php?topic=430439.0

An interesting solution, he removed nautilus and now his system works

I forgot to say above that I am running 64 bit.

Africanus (africanus) wrote :

I solved or worked around the problem using this link:

https://wiki.ubuntu.com/UbuntuOne/Bugs

this section:

ROOT_MISMATCH in syncdaemon.log - This normally indicates that there may be two Ubuntu One accounts, one in the local cache and another setup in the keyring. This happens if the user installed Ubuntu One with one account and then sets up the computer again with a different account (but all the old Ubuntu One files in ~/.local/share/ubuntuone are still there under the old account). Working around this:

Open Applications->Accessories->Terminal and run:

  u1sdtool -q; killall ubuntuone-login ubuntuone-preferences;
  sudo rm -rf ~/.local/share/ubuntuone
  rm -rf ~/.cache/ubuntuone
  rm -rf ~/.config/ubuntuone
  mv ~/Ubuntu\ One/ ~/Ubuntu\ One_old/
Open Applications->Accessories->Passwords and Encryption Keys, go to the Passwords tab, delete the Ubuntu One and Desktopcouch tokens by right-clicking on them and selecting "Delete"

Back in a terminal session, run:
  u1sdtool -q; killall ubuntuone-login; u1sdtool -c

dum (dummyxl) wrote :

about 3 weeks ago a had the same problem after updating the system and reboot. That time i did a full reinstall.
Nu this morning the same thing happens again! this time I had no login (gdm) screen. so i rebooted to save mode, fix the X server to default. and restarted X.
That did give me back GDM and I was back on the desktop. But the same error appears now a loop of nautilus windows inside the taskbar and nautilus will not open and no desktop icons. the cursor was always busy on the desktop.

This error is the same as the first time only not the GDM part the first time.
So this is not a configuration fault I was thinking...

but i solved the problem (for now) I downloaded the ATI drivers from the website and opened a terminal.
I cd to the directory (my case cd /ralph/Bureaublad) and did sh ati<tab> and enter.
this installs the new ati driver again, and half way the setup nautilus loop was gone and after a reboot everything is back to normal again.

sorry for maybe some bad English.

maybe my story will help someone here to solve the problem, i think this is the same bug (but for me noting to do with Ubuntu one, at least i think i is not)

dum (dummyxl) wrote :

I forgot to mention above:
I'm running Ubuntu 10.10 32bit and all updates

tags: added: u1-nautilus-crash
Changed in ubuntuone-client (Ubuntu):
milestone: none → ubuntu-11.04-beta-1
tags: added: u1-natty-beta
tags: added: u1-nautilus
removed: u1-nautilus-plugin
Changed in ubuntuone-client (Ubuntu):
milestone: ubuntu-11.04-beta-1 → ubuntu-11.04-beta-2
Changed in ubuntuone-client (Ubuntu):
milestone: ubuntu-11.04-beta-2 → ubuntu-11.04
Changed in ubuntuone-client (Ubuntu):
milestone: ubuntu-11.04 → none
tags: removed: u1-natty-beta
tags: added: u1-natty-sru
removed: u1-natty
Pete Graner (pgraner) on 2011-04-25
Changed in ubuntuone-client (Ubuntu Oneiric):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
Changed in ubuntuone-client (Ubuntu Natty):
milestone: none → natty-updates
Changed in ubuntuone-client (Ubuntu Oneiric):
milestone: none → ubuntu-11.10
Changed in ubuntuone-client:
status: In Progress → Fix Committed
Emil Gitman (ediulia) wrote :

I running 11.04 after upgrade from 10.10 with all updates.
 Have the same problem with nautilus. It's looks like desktop hangs at the beginning. But problem is nautilus hang. You can just kill nautilus onse and continue to work. Even with ubuntu one. Until next boot.

tags: added: rls-mgr-o-tracking
Changed in ubuntuone-client (Ubuntu Natty):
importance: High → Medium
Changed in ubuntuone-client (Ubuntu Oneiric):
importance: High → Medium
milestone: ubuntu-11.10 → none
dobey (dobey) on 2011-09-27
Changed in ubuntuone-client:
status: Fix Committed → In Progress
Changed in ubuntuone-client (Ubuntu Oneiric):
milestone: none → oneiric-updates
Changed in ubuntuone-client (Ubuntu Precise):
assignee: nobody → Ubuntu One Desktop+ team (ubuntuone-desktop+)
tags: added: rls-mgr-p-tracking
removed: rls-mgr-o-tracking
tags: added: u1-oneiric-sru u1-precise
Leo Arias (elopio) on 2012-04-17
tags: added: precise
removed: u1-precise
dobey (dobey) on 2014-01-29
Changed in ubuntuone-client:
status: In Progress → Triaged
assignee: Rodney Dawes (dobey) → nobody
Changed in ubuntuone-client (Ubuntu):
assignee: Ubuntu One Client Engineering team (ubuntuone-client-engineering) → nobody
Changed in ubuntuone-client (Ubuntu Precise):
assignee: Ubuntu One Client Engineering team (ubuntuone-client-engineering) → nobody
no longer affects: ubuntuone-client (Ubuntu Natty)
no longer affects: ubuntuone-client (Ubuntu Oneiric)
Changed in ubuntuone-client:
status: Triaged → Won't Fix
Changed in ubuntuone-client (Ubuntu):
status: Triaged → Won't Fix
Changed in ubuntuone-client (Ubuntu Precise):
status: Triaged → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments